1. TrustGroups
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. TrustGroups

Member Updated

Testing
Webhook
POST
trustGroups.MemberUpdated

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Example
{
    "id": 0,
    "notes": "string",
    "trustGroupId": 0,
    "legalEntityId": 0,
    "candidateId": 0,
    "status": 0,
    "updatedDate": "2019-08-24T14:15:22.123Z",
    "renewalDate": "2019-08-24T14:15:22.123Z",
    "dateJoined": "2019-08-24T14:15:22.123Z",
    "cancellationRequested": "2019-08-24T14:15:22.123Z",
    "aquisitionSource": "string",
    "cancelledDate": "2019-08-24T14:15:22.123Z",
    "legalEntityConnectedToId": 0,
    "parentStatus": 0,
    "parentRenewalDate": "2019-08-24T14:15:22.123Z",
    "rollbackDate": "2019-08-24T14:15:22.123Z",
    "renewalStatus": 0,
    "expiryDate": "2019-08-24T14:15:22.123Z",
    "parentExpiryDate": "2019-08-24T14:15:22.123Z"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Webhook-Header;' \
--header 'Webhook-Verb:  trustGroups.MemberUpdated' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 0,
    "notes": "string",
    "trustGroupId": 0,
    "legalEntityId": 0,
    "candidateId": 0,
    "status": 0,
    "updatedDate": "2019-08-24T14:15:22.123Z",
    "renewalDate": "2019-08-24T14:15:22.123Z",
    "dateJoined": "2019-08-24T14:15:22.123Z",
    "cancellationRequested": "2019-08-24T14:15:22.123Z",
    "aquisitionSource": "string",
    "cancelledDate": "2019-08-24T14:15:22.123Z",
    "legalEntityConnectedToId": 0,
    "parentStatus": 0,
    "parentRenewalDate": "2019-08-24T14:15:22.123Z",
    "rollbackDate": "2019-08-24T14:15:22.123Z",
    "renewalStatus": 0,
    "expiryDate": "2019-08-24T14:15:22.123Z",
    "parentExpiryDate": "2019-08-24T14:15:22.123Z"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-11 14:09:37
Previous
Remove Trust Group Member
Next
Add Credits to Legal Entity
Built with